Bug 1275838 - [abrt] konversation: QXcbConnection::processXcbEvents(): konversation killed by SIGSEGV
[abrt] konversation: QXcbConnection::processXcbEvents(): konversation killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konversation (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:114a65847b86a8542bd671e8488...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 18:11 EDT by Giulio 'juliuxpigface'
Modified: 2016-12-20 10:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.59 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: cgroup (177 bytes, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (28.35 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: dso_list (18.79 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: environ (1.70 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: maps (53.72 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (2.95 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: open_fds (1.36 KB, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (871 bytes, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-10-27 18:12 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-10-27 18:11:59 EDT
Description of problem:
It's not always reproducible, but I hit it two or three times with qemu-kvm.

1. Open the Settings menu
2. Configure notifications
3. Search for the "Nick written" notify.
4. Select "play a sound" and then press the folder button
5. Konversation's windows and dialog freeze.
6. Issue "xkill" in order to close the freezed windows.

Version-Release number of selected component:
konversation-1.6-4.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/konversation -qwindowtitle Konversation
crash_function: QXcbConnection::processXcbEvents
executable:     /usr/bin/konversation
global_pid:     2149
kernel:         4.2.3-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #40 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1430
 #41 QXcbConnection::qt_static_metacall at .moc/moc_qxcbconnection.cpp:187
 #42 QMetaCallEvent::placeMetaCall at kernel/qobject.cpp:486
 #43 QObject::event at kernel/qobject.cpp:1246
 #44 QXcbConnection::event at qxcbconnection.cpp:2083
 #45 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3717
 #46 QApplication::notify at kernel/qapplication.cpp:3500
 #47 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #48 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
 #49 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1593
Comment 1 Giulio 'juliuxpigface' 2015-10-27 18:12:10 EDT
Created attachment 1087061 [details]
File: backtrace
Comment 2 Giulio 'juliuxpigface' 2015-10-27 18:12:11 EDT
Created attachment 1087062 [details]
File: cgroup
Comment 3 Giulio 'juliuxpigface' 2015-10-27 18:12:15 EDT
Created attachment 1087063 [details]
File: core_backtrace
Comment 4 Giulio 'juliuxpigface' 2015-10-27 18:12:19 EDT
Created attachment 1087064 [details]
File: dso_list
Comment 5 Giulio 'juliuxpigface' 2015-10-27 18:12:20 EDT
Created attachment 1087065 [details]
File: environ
Comment 6 Giulio 'juliuxpigface' 2015-10-27 18:12:22 EDT
Created attachment 1087066 [details]
File: exploitable
Comment 7 Giulio 'juliuxpigface' 2015-10-27 18:12:25 EDT
Created attachment 1087067 [details]
File: limits
Comment 8 Giulio 'juliuxpigface' 2015-10-27 18:12:31 EDT
Created attachment 1087068 [details]
File: maps
Comment 9 Giulio 'juliuxpigface' 2015-10-27 18:12:32 EDT
Created attachment 1087069 [details]
File: mountinfo
Comment 10 Giulio 'juliuxpigface' 2015-10-27 18:12:34 EDT
Created attachment 1087070 [details]
File: open_fds
Comment 11 Giulio 'juliuxpigface' 2015-10-27 18:12:36 EDT
Created attachment 1087071 [details]
File: proc_pid_status
Comment 12 Giulio 'juliuxpigface' 2015-10-27 18:12:37 EDT
Created attachment 1087072 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 07:56:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:11:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.